/* Module      : JaegerCell.h
 * Author      : Robert W. Lindeman
 * Email       : gogo@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This is header for the Cell class.
 *
 * Date        : 2006/02/06
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/02/06    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _JAEGER_CELL_H_
#define _JAEGER_CELL_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

#include <JaegerConstants.h>

/* -- DATA STRUCTURES ---------------------------------------------------- */

class Cell  {
  private:
  public:
    int         type;       // The shape of this cell.

    Cell::Cell( void )  { this->type = CELL_NONE; };
    Cell::Cell( int type ) { this->type = type; };
};

/* -- GLOBAL VARIABLES --------------------------------------------------- */

/* -- LOCAL VARIABLES ---------------------------------------------------- */

/* ----------------------------------------------------------------------- */

#endif
